'--------------------------------------------------------------------------------------------------------------
' Faktura-Software Scriptdatei 
' Funktion:	Whrung auswhlen und Belegpositionen updaten
' Ansicht: 	FakturaBelege
' Script:	FakturaBelege_31_Waehrung_auswaehlen.vbs
' Produkt:	combit Relationship Manager 5
' Autor  : 	Dr. Frank Wietzel

' Faktura-Software.net macht keine Angaben zu einer bestimmten Eignung der Information in diesem Script
' Irrtmer und Fehler bleiben ausdrcklich vorbehalten und die Angaben erfolgen ohne Gewhr. 
' Die Angaben stellen nur Einzelfallszenarien dar und enthalten keine Garantie der Beschaffenheit 
' der Produkte. 
 
' Copyright (c) by Faktura-Software.net. Alle Rechte vorbehalten.
'--------------------------------------------------------------------------------------------------------------


Option Explicit
<!--#include file="%PRJDIR%\script\CosmoOle.vbs"-->
<!--#pragma keepeditmode-->

'--------------------------------------------------------------------------------------------------------------
' Begin Versionierung
'--------------------------------------------------------------------------------------------------------------
Dim sSkriptVersion
sSkriptVersion = "001"
'--------------------------------------------------------------------------------------------------------------
' What's new
'--------------------------------------------------------------------------------------------------------------
' Version 002 
' - 
'--------------------------------------------------------------------------------------------------------------

Dim sErrorCode, sErrorProjekt, sErrorAnsicht, sErrorSkript

sErrorProjekt   = cRM.CurrentProject.GetSessionProperty("cRM_Projekt_ProjektNr",True)
sErrorAnsicht   = "118"
sErrorSkript    = "031"

sErrorCode =  sErrorProjekt & sErrorAnsicht & sErrorSkript

'--------------------------------------------------------------------------------------------------------------
' Ende Versionierung
'--------------------------------------------------------------------------------------------------------------
Dim sWaehrungID, bBasisWaehrung, sWaehrungIdNew, bBasisWaehrungNew

'Id des Beleges auslesen
Dim sRecordid
sRecordid = GetViewContentByName("Recordid")

If sRecordid = "" then
  ShowMessage("Der Beleg konnte nicht identifiziert werden - das Skript wird beendet. ")
  Wscript.Quit
End If



'Feststellen, ob sich die Whrung gendert hat
if CheckEditMode then
  sWaehrungID 		= GetActiveViewbyObject.CurrentInputForm(0).GetContentsByName("Waehrung")
  bBasisWaehrung		= GetHiddenFieldContentByName("FakturaWhrungen", """Factura_Waehrungen"".""ID"" = " & sWaehrungID ,"Standard", "Error " & sErrorCode & "001" &vblf) 
  'GetActiveViewbyObject.CurrentInputForm(0).GetContentsByName("Waehrung.FakturaWhrungen.ID.Standard")
Else
   sWaehrungID	 	= GetViewContentbyName("Waehrung")
   bBasisWaehrung	= GetViewContentbyName("Waehrung.FakturaWhrungen.ID.Standard")
End if

if sWaehrungID = "" then
  ShowMessage("Es konnte keine Whrung gefunden werden - das Skript wird beendet.")
  Wscript.Quit
End if




'Neue Whrung abfragen
sWaehrungIdNew 	= OpenDialogSelectRecord("FakturaWhrungen", "", "ID", "Bitte whlen Sie eine Whrung aus","Error " & sErrorCode & "001" &vblf)
bBasisWaehrungNew	= GetHiddenFieldContentByName("FakturaWhrungen", """Factura_Waehrungen"".""ID"" = " & sWaehrungIdNew ,"Standard", "Error " & sErrorCode & "001" &vblf) 
'ShowMessage (sWaehrungID & " | " & bBasisWaehrung & " | " & sWaehrungIdNew & " | " & bBasisWaehrungNew )

if sWaehrungID <> sWaehrungIdNew then
  'Whrung gendert hier muss der Prozedure Aufruf hin

  
  

Dim sProcedure, sTrennzeichen, sParameter

 sProcedure    = "Fs_Beleg_Waehrung_Aendern"
 sTrennzeichen = ";"
 sParameter    = sRecordid & ";" & sWaehrungID & ";" & bBasisWaehrung & ";" & sWaehrungIdNew & ";" & bBasisWaehrungNew


'Stored Procedure kontrolliert ausfhren
  Dim bSP 

  bSP = (FakturaProcedure( sProcedure,sTrennzeichen,sParameter,sErrorCode & "001"))
   
  if bSP = false THEN
    'RaiseException("ErrorCode:" & sErrorCode & "001" & vbLF & vbLF & "Interner Fehler. " & vbLF & "Das Script wird nicht fortgesetzt. Bitte kontaktieren Sie den Support")
    Wscript.Quit
  End If
  
  
Else
  Wscript.Quit
End if

' Aktive Ansicht aktualisieren:
	  cRM.CurrentProject.ActiveViews.ActiveView.Update

