' Factura-Software Scriptdatei 
' Funktion: 	Filter fr den bertrag in DTAUS
' Ansicht:  	Factura_Belege
' Script:	Factura_Belege_32_Filter_fuer_den_Dtaus.vbs
' Produkt:	combit Relationship Manager 5/6
' Autor  : 	Dr. Frank Wietzel

' Faktura-Software.net macht keine Angaben zu einer bestimmten Eignung der Information in diesem Script
' Irrtmer und Fehler bleiben ausdrcklich vorbehalten und die Angaben erfolgen ohne Gewhr. 
' Die Angaben stellen nur Einzelfallszenarien dar und enthalten keine Garantie der Beschaffenheit 
' der Produkte. 
 
' Copyright (c) by Faktura-Software.net. Alle Rechte vorbehalten.
'--------------------------------------------------------------------------------------------------------------

Option Explicit
<!--#include file="%PRJDIR%\script\CosmoOle.vbs"-->

'--------------------------------------------------------------------------------------------------------------
' Begin Versionierung
'--------------------------------------------------------------------------------------------------------------
Dim sSkriptVersion
sSkriptVersion = "003"
'--------------------------------------------------------------------------------------------------------------
' What's new
'--------------------------------------------------------------------------------------------------------------
' Version 002 
' - Einbau Beleg_Mahnung = 1
'--------------------------------------------------------------------------------------------------------------
' Version 003 Patch 0027 vom 02.02.2012
' - Filter auf Factura_Zahlungsarten.Zahlart_Dtaus = 1 gendert
'--------------------------------------------------------------------------------------------------------------
Dim sErrorCode, sErrorProjekt, sErrorAnsicht, sErrorSkript

sErrorProjekt   = cRM.CurrentProject.GetSessionProperty("cRM_Projekt_ProjektNr",True)
sErrorAnsicht   = "003"
sErrorSkript    = "022"

sErrorCode =  sErrorProjekt & sErrorAnsicht & sErrorSkript

'--------------------------------------------------------------------------------------------------------------
' Ende Versionierung
'--------------------------------------------------------------------------------------------------------------


Dim sVon, sBis, sFilter

'sVon = showInputbox("Rechnungen von", Date-30)

'sBis = showInputbox("Rechnungen von", Date)

'ShowMessage(svon & " | " & sBis)

'sFilter = "select ""Factura_Belege"".""Recordid"" from ""Factura_Belege"", ""Factura_Beleg_Typen"" where (Factura_Belege.Beleg_Typen_Recordid = Factura_Beleg_Typen.Recordid and ""Factura_Belege"".""Zahldatum"" is NULL or ""Factura_Belege"".""Zahldatum"" <= CONVERT(datetime, '01.01.1950', 104) or ""Factura_Belege"".""Restbetrag"" >0 ) AND UPPER(""Factura_Beleg_Typen"".""Beschreibung_DE"") LIKE upper(N'%rechnung%')"

'sFilter = "SELECT Factura_Belege.Recordid FROM Factura_Belege, Factura_Beleg_Typen, Factura_Zahlungsarten WHERE (Factura_Belege.Beleg_Typen_Recordid = Factura_Beleg_Typen.Recordid) AND  (Factura_Belege.Zahlungsarten_Recordid = Factura_Zahlungsarten.Recordid) AND (Factura_Belege.Zahldatum IS NULL or Factura_Belege.Zahldatum = '') AND  (Factura_Belege.Restbetrag > 0 or Factura_Belege.Restbetrag is NULL) AND (Factura_Beleg_Typen.Beleg_Mahnung = 1) AND (UPPER(Factura_Zahlungsarten.Bezeichnung) like UPPER('%Bank%')) "

' Version 003 Patch 0027 vom 02.02.2012
sFilter = "SELECT Factura_Belege.Recordid FROM Factura_Belege, Factura_Beleg_Typen, Factura_Zahlungsarten WHERE (Factura_Belege.Beleg_Typen_Recordid = Factura_Beleg_Typen.Recordid) AND  (Factura_Belege.Zahlungsarten_Recordid = Factura_Zahlungsarten.Recordid) AND (Factura_Belege.Zahldatum IS NULL or Factura_Belege.Zahldatum = '') AND  (Factura_Belege.Restbetrag > 0 or Factura_Belege.Restbetrag is NULL) AND (Factura_Beleg_Typen.Beleg_Mahnung = 1) AND (Factura_Zahlungsarten.Zahlart_Dtaus = 1)"

'SQL Formatiert
'SELECT 
'  Factura_Belege.Recordid 
'FROM
'  Factura_Belege,
'  Factura_Beleg_Typen,
'  Factura_Zahlungsarten
'WHERE
'  (Factura_Belege.Beleg_Typen_Recordid = Factura_Beleg_Typen.Recordid) AND 
'  (Factura_Belege.Zahlungsarten_Recordid = Factura_Zahlungsarten.Recordid) AND
'  (Factura_Belege.Zahldatum IS NULL or Factura_Belege.Zahldatum = '') AND 
'  (Factura_Belege.Restbetrag > 0 or Factura_Belege.Restbetrag is NUL) AND 
'  (Factura_Beleg_Typen.Beleg_Mahnung = 1) AND
 ' (Factura_Zahlungsarten.Zahlart_Dtaus = 1)

'copytoclipboard(sfilter)
SetFilterDirectSQL(sFilter)



